/* top elements */
* { padding: 0; margin: 0; }

body {
	margin: 20px 0; 	padding: 0;
	font: normal .72em/1.5em 'Trebuchet MS', sans-serif;
	text-align: center;
	height: 100%;
}

/* links */
a { text-decoration: none; }
a:hover { text-decoration: underline; }

/* headers */
h1, h2, h3, h4, h5, h6, .sidehead {
	font: bold 1em 'Trebuchet MS', Tahoma, Sans-serif;
}
h1, h2, .sidehead { font-size: 1.4em; }
h3 { font-size: 1.2em; text-transform: uppercase;}
h4, h5, h6 { font-size: 1.2em; }

p, h1, h2, h3, h4, h5, h6, .sidehead, .post-footer, #wikitext pre.escaped {
	margin: 10px 15px;
}
ul, ol {
	margin: 10px 30px;
	padding: 0 15px;
}

/* images */
img {
  border: 1px solid;
  padding: 5px;
}
img.float-right {
  margin: 5px 0px 5px 15px;
}
img.float-left {
  margin: 5px 15px 5px 0px;
}

#wikitext pre.escaped { /* code */
  padding: 10px;
  text-align: left;
  display: block;
  overflow: auto;
  font: 500 1em/1.5em 'Lucida Console', 'courier new', monospace;
  /* white-space: pre; */
  border: 1px solid;
}
acronym {
  cursor: help;
  border-bottom: 1px solid;
}
blockquote {
	margin: 15px; 	padding: 0 0 0 20px;
	border: 1px solid;
	font: bold 1.2em/1.5em 'Trebuchet MS', Tahoma, sans-serif;
}

/* start - table */
table {
	border-collapse: collapse;
	margin: 15px;
}
th {
	height: 29px;
	padding-left: 12px;
	padding-right: 12px;
	text-align: left;
	border-left: 1px solid;
	border-bottom: solid 2px;
}
tr {
	height: 30px;
}
td {
	padding-left: 11px;
	padding-right: 11px;
	border-left: 1px solid;
	border-bottom: 1px solid;
}
td.first,th.first {
	border-left: 0px;
}
/* end - table */

/* form elements */
form {
	margin:10px 15px; padding: 0;
	border: 1px solid;
}
label {
	display:block;
	font-weight:bold;
	margin:5px 0;
}
input {
	padding: 2px;
	border:1px solid;
	font: normal 1em 'Trebuchet MS', verdana, sans-serif;
}
textarea {
	width:99%;
	padding:2px;
	font: normal 1em 'Trebuchet MS', verdana, sans-serif;
	border:1px solid;
	display:block;
}
input.button, input.inputbutton {
	margin: 0;
	font: bold 1em Arial, Sans-serif;
	border: 1px solid;
	padding: 2px 3px;
}

/* search form */
.searchform {
	background-color: transparent;
	border: none;
	margin: 0; padding: 0;
}
.searchform p { margin: 10px; padding: 0; }
.searchform input.textbox {
	width: 65%;
	height: 20px;
	padding: 2px;
	vertical-align: top;
}
.searchform input.button {
	font: bold 12px Arial, Sans-serif;
	width: 35px;
	height: 26px;
	border: none;
	padding: 3px 5px;
	vertical-align: top;
}

/***********************
	  LAYOUT
************************/
#wrap {
	margin: 0 auto;
	padding: 15px;
}

/* header */
#header {
	position: relative;
	height: 161px;
	text-align: left;
	margin: 0; padding: 0;
}
#header .headerphoto {
	position: absolute;
	right: 0 ; top: 0;
	width: 455px;
	height: 156px;
}
#header #logo-box {
	position: absolute;
	width: 390px;
	height: 156px;
	z-index: 3;
}
#logo-box h1#logo, #logo-box h1.sitetitle {
	position: absolute;
	font: bold 50px 'Trebuchet MS', Sans-serif;
	letter-spacing: -2px;
	margin: 0; padding: 0;

	/* change the values of left and top to adjust the position of the logo */
	top: 25px; left: 25px;
}
#logo-box h1#logo a, #logo-box h1.sitetitle a {
	text-decoration: none;
}
#logo-box #slogan, #logo-box .sitetag {
	position: absolute;
	font: bold 12px 'Trebuchet Ms', Sans-serif;
	text-transform: none;
	margin: 0; padding: 0;

	/* change the values of left and top to adjust the position of the slogan */
	top: 86px; left: 25px;
}

/* header menu */
#menu {
	clear: both;
	margin: 0;
	padding: 0 0 10px 0;
}
#menu ul {
	font: bolder 14px 'Trebuchet MS', sans-serif;
	width: 100%;
	margin: 0;
	padding: 0;
	display: inline;
	border-bottom: 6px solid;
	float: left;
}
#menu li {
	float: left;
	list-style: none;
}
#menu li a {
	display: block;
	padding: 5px 15px;
	text-decoration: none;
}

/* content */
#body-wrap {
	float: left;
	width: 100%;
}
#content-wrap {
	float: left;
	width: 100%;
}
#content {
	text-align: left;
	padding: 15px 30px 0 0;
	margin: 0;
}

/* sidebar */
#sidebar {
	float: left;
	padding: 15px 0 0 10px;
	text-align: left;
}
#sidebar h1, #sidebar .sidehead {
	padding: 10px 0px 5px 10px;
	margin: 0;
}
.sidebox {
	margin-bottom: 10px;
}

/* sidebar menu */
#sidebar ul {
	list-style:none;
	margin: 10px 0 15px 0;
	padding: 0;
}
#sidebar ul li {
	padding: 0px 10px;
}
#sidebar ul a {
	display:block;
	font-weight:normal;
	padding:.3em 0 .3em 15px;
	line-height: 1.5em;
	border-bottom: 1px dashed;
	text-decoration:none;
}
#sidebar ul a.top{
	border-top: 1px dashed;
}
#sidebar ul a:hover {
	padding: .3em 0 .3em 10px;
	border-left: 5px solid;
}

/* main */
#main {
	margin: 0 0 10px 0; padding: 0;
}
#main h2 {
	padding: 10px 0 5px 5px;
	margin: 0 0 0 10px;
	border-bottom: 1px dashed;
}
#main ul li {
}

.post {
	margin: 0 0 40px; padding: 0;
}
.post .author {
	margin-top: -10px;
	display: block;
	font-style: italic;
}
.post .post-footer {
	padding: 5px; margin-top: 20px;
	font-size: 95%;
	border: 1px solid;
}
.post .post-footer .date {
	padding-left: 20px; margin: 0 10px 0 5px;
}
.post .post-footer .comments {
	padding-left: 20px; margin: 0 10px 0 5px;
}
.post .post-footer .tags {
	float: left;
	padding-left: 20px; margin: 0 10px 0 5px;
}

/* footer */
#footer {
	clear: both;
	margin: 0; padding: 12px 0 0 0;
	font: normal .92em/1.5em 'Trebuchet MS', Tahoma, Arial, sans-serif;
	text-align: center;
}
#footer p {
	margin: 0; padding: 0;
}
#footer a {
	text-decoration: none;
}
#footer a:hover {
	text-decoration: underline;
}

/* alignment classes */
.float-left  { float: left; }
.float-right { float: right; }
.align-left  { text-align: left; }
.align-right {	text-align: right; }

/* additional classes */
.clear { clear: both; }

/* PmWiki Standard */
fieldset { margin: 0; padding: 0; border-style: none; }
.indent { margin-left:40px; }
.outdent { margin-left:40px; text-indent:-40px; }
.wikimessage {padding-bottom: 15px; font-weight: bold; font-size: 130%; }
.quickref p { margin:0; padding:0;}
.quickref br { display: none; }

/* PmWiki Mods */
a.createlink { text-decoration: none; padding-left: 1px; position:relative; top:-0.5em; }
#menu a.createlink { display: none; }
#wikitext hr { border:2px solid; margin:2em 0; }
#wikitext code.escaped { padding: .15em; font: 500 1em/1.5em 'Lucida Console', 'courier new', monospace; border: 1px solid; }
#wikitext .quickref p, #wikitext .quickref .outdent, #wikitext .quickref div, #wikitext .quickref strong {font-size:1em; margin:0; text-align:left; text-indent:0; line-height: 2em}
#wikiedit, #wikiedit form input[type=submit] { margin-top: 25px; }
#wikiedit img { padding: 0; }
.pagegroup { text-decoration: none; display: block; margin: 0 0 -10px 10px; }
.quickref { width: 94%; }

/* PmWiki Additions */
#header .pageactions { position: absolute; right: 0; margin-top: -34px; }
#header .pageactions ul { margin: 0; padding: 0; text-align: right; }
#header .pageactions ul li { display: inline; padding-left: 5px; }
#header .pageactions ul li a { text-decoration: none; text-transform: lowercase; }

/* BlogIt */
.blogit-clear { clear: both; }
.editlink, .blogit-editlink { padding-left: 10px; }
.blogit-comment-header { text-transform: lowercase; }
.blogit-readmore { font-weight: bold; display: block; margin-top: 15px; text-transform: lowercase; }
.blogit-listmore { padding-right: 10px; text-align: right; }
.blogit-submit-row { padding-top: 10px; }
.blogit-submit-row img { vertical-align: bottom; padding: 0; }
.blogit-submit-row input { font-size: 1.4em; padding: 1px; }
.blogit-page-navigation,.page-navigation { margin: 1.2em 0; }
.blogit-older-entries, .next-entries { float: right; }
.blogit-newer-entries, .previous-entries { float: left; }
.blogit-older-entries, .blogit-newer-entries, .previous-entries, .next-entries { font-size: 1.3em; font-weight: bold; }
.blogit-newer-entries a, .previous-entries a { padding-left: 18px; }
.blogit-older-entries a, .next-entries a { padding-right: 18px; }
#commentblock form { padding: 10px; }
#commentblock form h2 { margin-left: 0; }
#commentblock form br { margin: 1px 0; display: block; }
#commentblock li.comment { padding-top: 10px; }
#commentblock li.comment a.wikilink { font-size: .8em; }
